Bug 145869 - iiimf-server starts on boot after update
Summary: iiimf-server starts on boot after update
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Yu Shao
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-22 21:52 UTC by Jeff Moe (jebba)
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-23 00:50:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Moe (jebba) 2005-01-22 21:52:15 UTC
Description of problem:
After an update of iiimf-server it starts on boot, even when the
previous version was set to not start on boot. So if iiimf-server is
installed, but not in use, a user who thinks they have it disabled
will have it re-enabled at boot when they upgrade.

Version-Release number of selected component (if applicable):
iiimf-server-12.1-10.FC3.i386.rpm and earlier

How reproducible:
Get an older version of iiimf-server, turn it off on boot, upgrade.


Steps to Reproduce:
1.
rpm -U --oldpackage iiimf-server-[older one]

2.
chkconfig --del iiimf

3.
rpm -U  iiimf-server-12.1-10.FC3.i386.rpm

4.
chkconfig --list | grep iiim  [shows iiim on]


Actual results:
iiim is set to start on boot.

Expected results:
iiim is left at it's previous setting to not start on reboot. Apache,
for example, honors it's previous setting.


Additional info:
This is similar to a cups bug that was fixed a couple days ago:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=145629

Comment 1 Jeff Moe (jebba) 2005-01-23 00:50:43 UTC
Sorry, should be using
chkconfig iiim off

not --del


Note You need to log in before you can comment on or make changes to this bug.